Flash File Recovery overview

What is Flash File Recovery and what can it do

Flash File Recovery is an automatic utility for flash and digital camera memory data recovery.

Flash File Recovery is a data recovery tool for various flash cards (SmartMedia , CompactFlash, Memory Stick, MicroDrive, xD Picture Card Flash Card, PC Card, Multimedia Card, Secure Digital Card, etc) and digital camera memory. It can effectively recover corrupted or lost data from formatted, damaged, unreadable or defective storage media.

The system requirements are :
- Memory card reader (USB preferred) (or digital camera/printer/etc) - the media needs to appear as a drive letter
- All Windows® platforms are supported
- Hard drive (or another storage media) space the size of your media.

Overview...

Flash File Recovery overview

Working with Flash File Recovery...

Get Started
Rescue Files
Lost Files Preview
Destination
Restoring Files

Registration and License

License
Unregistered Copy Limitation
Registration and Ordering

Support

support
FAQ

Aleksey S Cherkasskiy
alexey@panterasoft.com
Copyright (c) PANTERASoft 1999-2005


Get Started

1. Select the Recovery Source.
If you don't see your media source in the drive list just turn off your digatal camera/card reader/printer/etc and turn on it again and click the 'Refresh drives' button.

Flash File Recovery will scan flash drive sector by sector to find the files data. All files can be restored without FAT information even on the formatted media. This mode is most effective if you want to restore all data on your flash card.

main...


rescue files

rescue files with Flash Restorer

1. Click the 'Start scan' button.

2. Click the 'Stop' button if you want to break operation.
If you think that all needed files was founded you can break the scan operation.


lost files preview

rescue files with Flash Restorer

Here you can see small sized preview of the found files.

1. Check files you want to rescue.
To check all files just click the 'Check All' button. To uncheck all checked files click the 'Uncheck All' button.

2. Click the 'Preview' button if you want to see full-size image.
Just select the file and click the 'Preview' button.


destination

1. Select the destination folder.
Note: if you select the folder on the same drive with recovering data you can lost your information!


restoring files from flash card

restoring files

1. Click the 'Start recovery' button to start process.


Flash File Recovery License

The Flash File Recovery is "try-before-you-buy" software. This means:

- PANTERASoft.Com exclusively owns all copyrights to Flash File Recovery.

- Anyone may use this software during a test period of 120 days. Following this test period of 30 days or less, if you wish to continue to use Flash File Recovery, you MUST register.

Unregistered use of Flash File Recovery after the 30-day evaluation period is a violation of U.S. and international copyright laws.

- Once registered, the user is granted a non-exclusive license to use Flash File Recovery on one computer (i.e. a single CPU), for any legal purpose, at a time. The registered Flash File Recovery software may not be rented or leased but may be permanently transferred, if the person receiving it agrees to terms of this license. If the software is an update, the transfer must include the update and all previous versions.

- The Flash File Recovery unregistered shareware version may be freely distributed, if the distribution package is not modified. No person or company may charge a fee for the distribution of Flash File Recovery without written permission from the copyright holder.

- Flash File Recovery IS DISTRIBUTED "AS IS". NO WARRANTY OF ANY KIND IS EXPRESSED OR IMPLIED. YOU USE AT YOUR OWN RISK. THE AUTHOR WILL NOT BE LIABLE FOR DATA LOSS, DAMAGES, LOSS OF PROFITS OR ANY OTHER KIND OF LOSS WHILE USING OR MISUSING THIS SOFTWARE.

- You may not use, copy, emulate, clone, rent, lease, sell, modify, decompile, disassemble, otherwise reverse engineer, or transfer the licensed program, or any subset of the licensed program, except as provided for in this agreement. Any such unauthorized use shall result in immediate and automatic termination of this license and may result in criminal and/or civil prosecution.

PANTERASoft reserves all rights not expressly granted here.

- Installing and using Flash File Recovery signifies acceptance of these terms and conditions of the license.

- If you do not agree with the terms of this license you must remove Flash File Recovery files from your storage devices and cease to use the product.


Unregisterd Copy Limitations

The Flash File Recovery is fully-functional software except the 'Save' function. This means you can see the results of work (full-size preview of recovered images and documents) but you cannot save the recovered file(s).

To save the recovered files, you need to order a full, unrestricted version of Flash File Recovery. Online purchase is available and Immediately after ordering online with credit card (other payment options also available), you will receive a registration key by email to unlock the program and enable all features. This service is available 24 hours / 7 days a week. Single user license is US$ 49.50, it also includes future FREE upgrades for all minor releases.

[Order on-line]


Registration

Unregisterd Copy Limitations

The Flash File Recovery is fully-functional software except the 'Save' function. This means you can see the results of work (full-size preview of recovered images and documents) but you cannot save the recovered file(s).

To save the recovered files, you need to order a full, unrestricted version of Flash File Recovery. Online purchase is available and Immediately after ordering online with credit card (other payment options also available), you will receive a registration key by email to unlock the program and enable all features. This service is available 24 hours / 7 days a week. Single user license is US$ 49.50, it also includes future FREE upgrades for all minor releases.

[Order on-line]